curl --request GET \
--url https://api.us.cr4ce.com/assignment/{assignment_slug} \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/assignment/{assignment_slug}"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/assignment/{assignment_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/entry/AbCdEfGh",
"title": "Project title"
},
"category": {
"slug": "WxYzAbCd",
"link": "https://api.au.cr4ce.com/category/WxYzAbCd",
"name": {
"en_GB": "Documentary"
}
},
"chapter": {
"slug": "MnOpQrSt",
"link": "https://api.au.cr4ce.com/chapter/MnOpQrSt",
"name": {
"en_GB": "Film"
}
},
"comments": {
"judging": [],
"abstention": [],
"conflict": [],
"criteria": [
{
"name": "Originality",
"comments": []
},
{
"name": "Execution",
"comments": []
}
]
},
"created": "2025-01-15T09:00:00Z",
"form": "GhIjKlMn",
"method": "Automatic (Panel)",
"panels": [
{
"slug": "OpQrStUv",
"link": "https://api.au.cr4ce.com/panel/OpQrStUv",
"name": {
"en_GB": "Panel A"
}
}
],
"judge": {
"slug": "EfGhIjKl",
"link": "https://api.au.cr4ce.com/judge/EfGhIjKl",
"name": "Jane Doe"
},
"role": null,
"rounds": [
{
"slug": "QrStUvWx",
"link": "https://api.au.cr4ce.com/round/QrStUvWx",
"name": {
"en_GB": "Judging"
}
}
],
"score": null,
"score_set": {
"slug": "UvWxYzAb",
"link": "https://api.au.cr4ce.com/score-set/UvWxYzAb",
"name": {
"en_GB": "Scoring rubric"
}
},
"slug": "AbCdEfGhEfGhIjKlUvWxYzAbA",
"status": "To be scored",
"updated": "2025-06-20T14:30:00Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Get assignment
Get the assignment identified by the specified slug.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Slug of the assignment.
^[A-Za-z0-9]{24}[JR]$Response
Assignment retrieved.
Single judging task for an entry, addressed to either a judge or a role within a given round and score set.
Entry the assignment refers to.
Show child attributes
Show child attributes
Category the entry belongs to.
Show child attributes
Show child attributes
Chapter the category belongs to.
Show child attributes
Show child attributes
Comments attached to the assignment, null for role-based assignments.
Show child attributes
Show child attributes
Date and time when the assignment was created.
Slug of the form attached to the entry.
How the assignment was created, for example Manual, Automatic (Panel), Recused, or Stray.
Panels the assignment is associated with.
Show child attributes
Show child attributes
Judge assigned to score the entry, null for role-based assignments.
Show child attributes
Show child attributes
Role assigned to score the entry, null for judge-specific assignments.
Show child attributes
Show child attributes
Rounds the assignment applies to.
Show child attributes
Show child attributes
Score for this assignment, formatted per the score-set mode, null when no score has been recorded.
Score set used to evaluate the entry.
Show child attributes
Show child attributes
Short URL-safe identifier for the assignment.
Current state of the assignment, for example To be scored, In progress, or Complete.
Date and time when the assignment was last updated.